For AI agents and LLMs: a structured documentation index is available at /llms.txt. Every page has a Markdown sibling — append .md to any URL.

Skip to content
Paddle Docs home

Update tax settings

Updates the tax settings for your account.

PATCH/settings/tax

Updates the tax settings for your account.

If successful, your response includes a copy of the updated tax settings entity.

Requires tax_settings.write permission.

Request body

default_tax_modestring
Default setting of how tax is calculated for prices. Used when prices have a tax_mode of account_setting.
Values
  • exclusive
    Prices are exclusive of tax.
  • inclusive
    Prices are inclusive of tax.
  • location
    Prices are inclusive or exclusive of tax, depending on the country of the transaction.

Response (200)

dataobjectrequired
Represents the tax settings for your account.
default_tax_modestringrequired
Default setting of how tax is calculated for prices. Used when prices have a tax_mode of account_setting.
Values
  • exclusive
    Prices are exclusive of tax.
  • inclusive
    Prices are inclusive of tax.
  • location
    Prices are inclusive or exclusive of tax, depending on the country of the transaction.
metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
Request
{
"default_tax_mode": "inclusive"
}
Response
{
"data": {
"default_tax_mode": "inclusive"
},
"meta": {
"request_id": "9bcdcc29-e180-4055-ad3d-d37e5dc5e56d"
}
}

Was this page helpful?